Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040206
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Omnichannelminoralways2019-01-30 13:222019-03-06 13:21
Reporterinaki_garciaView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revision31ba7c1d7dfd
ProjectionnoneETAnoneTarget VersionRR19Q1
OSOtherDatabaseAnyJava version
OS VersioniOS 12.1.1 (16C50)Database versionAnt version
Product VersionmainSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040206: [RR19Q1] [iPad] [Omni] Changing the Default Delivery Mode for Receipt Properties throws JS error in some cases on iPad

DescriptionChanging the Default Delivery Mode when on iPad seems to correctly update the Receipt Properties form to suit, but shows the error depicted in this video (https://drive.google.com/open?id=1pshWP2Wu_Mu45TWfV76cGGHt_mng3V3X [^]) when selecting either "Pickup in store with date" or "Home Delivery" option. Furthermore, the field becomes hard to click once the
dropdown is dismissed / the focus is changed by clicking elsewhere.
Steps To Reproduce0. Log in the WebPOS
1. Click on the ticket description to bring up the "Receipt Properties" popup
2. Click on the "Default Delivery Mode" dropdown, and click on some of the options
NOTICE that the issues described in the description happen
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040068 closedjorge-garcia [RR19Q1] [iPad] [Omni] Changing the Default Delivery Mode for Receipt Properties throws JS error in some cases on iPad 

-  Notes
(0110217)
hgbot (developer)
2019-03-05 08:59

Repository: retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal
Changeset: 31ba7c1d7dfd9fe190d1aad300730c5ace036d16
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue Mar 05 08:59:03 2019 +0100
URL: http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/31ba7c1d7dfd9fe190d1aad300730c5ace036d16 [^]

Fixed issue 40206: Changing the Default Delivery Mode for Receipt
Properties throws JS error in some cases on iPad

In mobile devices, enyo components generates an intermediate component when the
scrollbar is generated.

The solution implemented here is to throw an event in the component to move the
scrollbar.

---
M web/org.openbravo.retail.posterminal/js/components/modalreceiptproperties.js
---
(0110252)
guilleaer (developer)
2019-03-06 13:21

To take advantage of this fix in 19Q1 it is required to apply the following patch over delivery modes module

https://code.openbravo.com/erp/pmods/org.openbravo.retail.deliverymodes/rev/95ab88079f61a86859ead813855a705eb85093dc [^]

- Issue History
Date Modified Username Field Change
2019-02-14 16:00 marvintm Type defect => backport
2019-02-14 16:00 marvintm Target Version => RR19Q1
2019-03-04 16:13 jorge-garcia Assigned To Retail => jorge-garcia
2019-03-05 08:59 hgbot Checkin
2019-03-05 08:59 hgbot Note Added: 0110217
2019-03-05 08:59 hgbot Status scheduled => resolved
2019-03-05 08:59 hgbot Resolution open => fixed
2019-03-05 08:59 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/backports/3.0RR19Q1/org.openbravo.retail.posterminal/rev/31ba7c1d7dfd9fe190d1aad300730c5ace036d16 [^]
2019-03-06 13:21 guilleaer Review Assigned To => guilleaer
2019-03-06 13:21 guilleaer Note Added: 0110252
2019-03-06 13:21 guilleaer Status resolved => closed
2019-03-06 13:21 guilleaer Fixed in Version => RR19Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker